唯嘉利亚云安全 提供服务器维护、网站开发,网站安全运维,安全托管等服务!

libmysofa 缓冲区错误漏洞


文章来源:唯嘉利亚云安全   发布时间: 2019-09-18  已有 18 人 阅读

漏洞信息详情

libmysofa 缓冲区错误漏洞

漏洞简介

libmysofa是一款用于读取AES SOFA文件的库。

libmysofa 0.7版本中的hdf/fractalhead.c文件的‘directblockRead’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

https://github.com/hoene/libmysofa

参考网址

来源:MISC

链接:https://github.com/hoene/libmysofa/compare/f571522…e07edb3

来源:www.nsfocus.net

链接:http://www.nsfocus.net/vulndb/44330

受影响实体

    暂无

补丁

    暂无


【版权声明】:除非注明,唯嘉利亚云安全文章均为原创,转载请以链接形式标明本文标题和地址
原文标题:libmysofa 缓冲区错误漏洞
原文地址:https://www.vgaliya.com/cve-9102.html


文章标签: